import 'echarts/extension/bmap/bmap';
import Core from '@opentinyvue/vue-huicharts-core';
import { $prefix } from '@opentinyvue/vue-common';

function normalizeComponent(scriptExports, render, staticRenderFns, functionalTemplate, injectStyles, scopeId, moduleIdentifier, shadowMode) {
  var options = typeof scriptExports === "function" ? scriptExports.options : scriptExports;
  if (render) {
    options.render = render;
    options.staticRenderFns = staticRenderFns;
    options._compiled = true;
  }
  var hook;
  if (injectStyles) {
    hook = injectStyles;
  }
  if (hook) {
    if (options.functional) {
      options._injectStyles = hook;
      var originalRender = options.render;
      options.render = function renderWithStyleInjection(h, context) {
        hook.call(context);
        return originalRender(h, context);
      };
    } else {
      var existing = options.beforeCreate;
      options.beforeCreate = existing ? [].concat(existing, hook) : [hook];
    }
  }
  return {
    exports: scriptExports,
    options
  };
}

function _extends() {
  return _extends = Object.assign ? Object.assign.bind() : function(n) {
    for (var e = 1; e < arguments.length; e++) {
      var t = arguments[e];
      for (var r in t) ({}).hasOwnProperty.call(t, r) && (n[r] = t[r]);
    }
    return n;
  }, _extends.apply(null, arguments);
}
var render = function render2() {
  var _vm = this;
  var _h = _vm.$createElement;
  var _c = _vm._self._c || _h;
  return _c("div", {
    staticClass: "hui-chart chart-box"
  }, [_c("div", {
    ref: "chartRef",
    style: {
      width: _vm.width,
      height: _vm.height
    }
  }), _vm._t("default")], 2);
};
var staticRenderFns = [];
var __vue2_script = {
  name: $prefix + "ChartBaiduMap",
  mixins: [Core],
  data: function data() {
    return {
      iChartName: "BaiduMapChart"
    };
  },
  methods: {
    updateChart: function updateChart() {
      var _this = this;
      if (this.options && Object.keys(this.options).length) {
        this.huiChartOption = _extends({}, this.options, this.settings);
        if (!this.tooltipVisible) {
          this.huiChartOption.tooltip = {
            show: false
          };
        }
        return;
      }
      var echartsSettings = ["grid", "dataZoom", "visualMap", "toolbox", "title", "legend", "xAxis", "yAxis", "radar", "axisPointer", "brush", "geo", "timeline", "graphic", "backgroundColor", "textStyle"];
      this.huiChartOption = _extends({}, this.settings, {
        tooltip: this.tooltipVisible ? this.tooltip : {
          show: false
        },
        series: this.series
      });
      echartsSettings.forEach(function(prop) {
        if (_this[prop]) {
          _this.huiChartOption[prop] = _this[prop];
        }
      });
      if (!this.legendVisible) {
        this.huiChartOption.legend = {
          show: false
        };
      }
    }
  }
};
var __cssModules = {};
var __component__ = /* @__PURE__ */ normalizeComponent(__vue2_script, render, staticRenderFns, false, __vue2_injectStyles);
function __vue2_injectStyles(context) {
  for (var o in __cssModules) {
    this[o] = __cssModules[o];
  }
}
var BaiduMap = /* @__PURE__ */ function() {
  return __component__.exports;
}();
BaiduMap.install = function(Vue) {
  Vue.component(BaiduMap.name, BaiduMap);
};

export { BaiduMap, BaiduMap as default };
